2019-12-06 05:44 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000932FSSCP---------public2006-11-01 09:57
ReporterSpike 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.9 
Summary0000932: Assert when Capella goes nova
DescriptionWhen Capella goes Nova, I get ASSERTION FAILED: "Viewer_obj" at freespace2/freespace.cpp:2320 if I am not facing the sun when I jump out (jumping triggers the supernova sequence before time runs out) If I am facing the sun, nova procedes normally as I jump out. If time runs out before I jump, nova also normal.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005750

Spike (reporter)

That was weird. Summary should be Assert when Capella goes nova, Severity should be crash. I'm running debug built from CVS from today.

~0005757

Shade (developer)

Seen something similar reported once before. Thought it was just a fluke then but two reports warrants looking it. Still pretty well into the supernova code so I'll take a look at it.

~0006102

taylor (administrator)

* BUMP *

Is this still an issue? I haven't been able to recreate it so I wasn't sure.

~0006192

taylor (administrator)

* RE-BUMP *

This is getting closed this weekend unless there is some update on the status of the bug.

~0006212

taylor (administrator)

Closered.

~0007056

taylor (administrator)

I just removed the Assert(). I was able to reproduce it reliably and after tracing through the code a bit I realized that the Assert() isn't even needed there.

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-06-03 18:50 Spike New Issue
2006-06-03 18:56 Spike Note Added: 0005750
2006-06-04 02:22 taylor Severity feature => crash
2006-06-04 02:22 taylor Summary Assert => Assert when Capella goes nova
2006-06-04 08:18 Shade Note Added: 0005757
2006-06-04 08:18 Shade Status new => assigned
2006-06-04 08:18 Shade Assigned To => Shade
2006-07-08 23:26 taylor Note Added: 0006102
2006-07-15 18:32 taylor Note Added: 0006192
2006-07-17 11:51 taylor Status assigned => closed
2006-07-17 11:51 taylor Note Added: 0006212
2006-11-01 09:57 taylor Note Added: 0007056
2006-11-01 09:57 taylor Status closed => resolved
2006-11-01 09:57 taylor Resolution open => fixed
2006-11-01 09:57 taylor Fixed in Version => 3.6.9
2006-11-01 09:57 taylor Status resolved => assigned
2006-11-01 09:57 taylor Assigned To Shade => taylor
2006-11-01 09:57 taylor Status assigned => resolved
+Issue History